﻿using RecrownedAthenaeum.UI.Modular;

namespace RecrownedAthenaeum.UI.Book
{
    public class Page : UIModuleGroup
    {
        private readonly int pageX, pageY;
        public bool NeedsSizeUpdate;

        public Page(int pageX, int pageY) : base(false)
        {
            this.pageX = pageX;
            this.pageY = pageY;
            NeedsSizeUpdate = true;
            Name = ToString();
        }

        public virtual void ApplySize(int width, int height)
        {
            bounds.X = pageX * width;
            bounds.Y = pageY * height;
            bounds.Width = width;
            bounds.Height = height;
            NeedsSizeUpdate = false;
        }
    }
}
